Good morning, the last build of SA17 for Mac OS does not install on Mac OS Catalina (10.15.1/2). I get an error: "Error. Internal error. Setup will exit." Will there be an update soon?

Thanks, Axel

asked 21 Nov, 02:15

Axel%20Siepmann's gravatar image

Axel Siepmann
1447817
accept rate: 0%

edited 29 Nov, 06:59

Breck%20Carter's gravatar image

Breck Carter
29.4k487653960

1

Support for Catalina is currently being completed. I do not have a timeframe for that work to be completed.

(22 Nov, 08:16) Chris Keating
1

As Chris said, we are currently working on the notarization required for Catalina.

What version of macOS are you running exactly? The install works for me on 10.15 and 10.15.1. (I assume you're running 17.0.10.5853?)

(26 Nov, 16:43) Tim McClements
Replies hidden

Hi Tim i'm on 10.15.2 beta (19C64a). When i run setup from terminal i get "dbinstall can not be opened because the developer can not be verifyied." (Translated from German). I can allow this in system settings but then the next message is about "dbversion" and so on. BG, Axel

(27 Nov, 01:50) Axel Siepmann

Okay, thank you Axel. That makes more sense.

(28 Nov, 21:02) Tim McClements
1

> One more sign that SA is no longer a strategic product for SAP, i'm afraid..

> . . . i'm on 10.15.2 beta

Thanks for clearing that up: an Apple beta is not a strategic platform for SQL Anywhere :)

(29 Nov, 06:55) Breck Carter

🙄..........

(29 Nov, 15:11) Axel Siepmann
showing 2 of 6 show all flat view

Hi Axel,

This problem has explanation in following KBA.

2635376 - Internal error when install SQL Anywhere on Mac https://launchpad.support.sap.com/#/notes/2635376

Can you try Resolution?

Install SAP SQL Anywhere 17.0 from command prompt: 1. cd ga1700 (the directory for SAP SQL Anywhere 17.0) 2. ./setup 3. follow the instructions as setup window shown

Thansk, Atsushi

permanent link

answered 22 Nov, 02:12

asa's gravatar image

asa
116126
accept rate: 12%

edited 22 Nov, 02:13

Hi Atsushi,

unfortunately does not work due to (new?) restrictions in Mac OS. I'd have to allow every single executed file (setup it self, *.dylib-files etc.) in system settings...

Best regards, Axel

(22 Nov, 02:28) Axel Siepmann
Replies hidden

Hi Axel,

ok... You should ask SAP Support about this problem.

Thanks, Atsushi

(22 Nov, 02:40) asa

One more sign that SA is no longer a strategic product for SAP, i'm afraid...

permanent link

answered 22 Nov, 02:43

Axel%20Siepmann's gravatar image

Axel Siepmann
1447817
accept rate: 0%

Would you share the other signs you have noticed?

(22 Nov, 04:02) Volker Barth
1
  • The end of support in 2025. Many problems:
  • Deployment of remote tasks for MobiLink-Agents does not work. (Mentioned here)
  • DB-Crashes caused by a trigger. (Mentioned here)
  • DB-Crahes on remote devices caused by an index.
  • Installations built by the deployment wizard above Version 17.09.4913 cannot be uinstalled

My impression is that the software quality is decreasing gradually.

(22 Nov, 05:30) Axel Siepmann
Replies hidden
1

Have you created any single support ticket with one of these crashes, or you asked questions on this forum only?

(22 Nov, 06:49) Vlad
2

As Vlad has indicated, issues that you want SAP to address need to be pursued as technical support incidents. This forum is frequently by SAP staff but it is not a substitute for technical support. As an example, the crash involving the trigger had a discussion but the suggestions did not help. And without a dump or a repro, it can be difficult to determine root cause in this forum.

(22 Nov, 08:15) Chris Keating
1

> SA is no longer a strategic product for SAP

...or, possibly, it indicates that OS X is no longer a strategic platform for SQL Anywhere 17.

The SAP SQL Anywhere Supported Platforms and Engineering Support Status page lists 10.10 for OS X...

...maybe that's a typo, or maybe support for 10.15 (which was released one month ago) will take a while.

(22 Nov, 12:26) Breck Carter
2

> My impression is that the software quality is decreasing gradually.

That's certainly not my impression, or the impression of my clients. On the contrary, SQL Anywhere 17 is now stable, and I am no longer advising anyone to "stay with V16". That is a significant milestone in the very conservative world of production databases. Moving to a new RDBMS version (or OS version!) is a big decision, fraught with peril if done without careful consideration and preparation.

(22 Nov, 12:37) Breck Carter
1

> The end of support in 2025

What's coming in 2025 is the end of mainstream maintenance for Version 17, which means no more fixes for freshly-discovered bugs.

That's not the same as "the end of support".

Technical support for SQL Anywhere 17 is no more likely to end in 2025 than it ended for version 16 in 2018 (it didn't).

If you want SAP to do something for you, try calling SAP.

(22 Nov, 12:45) Breck Carter

Just to add:

When version 17 was released, the published EOL date was 12/2022 (*). In my limited understanding the date was later extended to 12/2025 because the release cycle has been modified (i.e. lesser new major versions, more minor versions, think of 17.0.0 to 17.0.10). I would except if SAP would not release a new major version (18 or whatever) in the coming years, the v17 EOL date might be extended again. My assumption, apparently...

(*) This can be seen here when checking page history...

(22 Nov, 13:13) Volker Barth
showing 4 of 8 show all flat view

Hi Axel

When receiving this error, I was with the following successful:

Open the (Mac) Terminal Change to where the installer is, something like:

cd /Users/<user>/Desktop/ebf27542/sqlany17/

if the path is correct, there is a setup file there. Now, start the setup file by:

./setup

and follow the instructions. Hopefully this works for you as well.

Regards,

permanent link

answered 26 Nov, 11:58

robert's gravatar image

robert
658394657
accept rate: 0%

edited 26 Nov, 11:59

Your answer
toggle preview

Follow this question

By Email:

Once you sign in you will be able to subscribe for any updates here

By RSS:

Answers

Answers and Comments

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "title")
  • image?![alt text](/path/img.jpg "title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Question tags:

×145
×29

question asked: 21 Nov, 02:15

question was seen: 184 times

last updated: 29 Nov, 15:11